eID middleware |

# be.portugal.eid.PTEID_OcspResponse Class Reference

Class that represents one OCSP Response. More...

Inheritance diagram for be.portugal.eid.PTEID_OcspResponse:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_OcspResponse (String uri, PTEID_HashAlgo hashAlgorithm, PTEID_ByteArray issuerNameHash, PTEID_ByteArray issuerKeyHash, PTEID_ByteArray serialNumber)
| Create an OcspResponse object from the URI only and CertID This OCSP Response is not link to any certificate so some methods could not be used.
String | getUri () throws java.lang.Exception
| Get the uri of the responder.
PTEID_CertifStatus | getResponse (PTEID_ByteArray response) throws java.lang.Exception
| Get the response.
## Protected Member Functions
| PTEID_OcspResponse (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_OcspResponse obj)

## Detailed Description

Class that represents one OCSP Response.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_OcspResponse.PTEID_OcspResponse | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_OcspResponse.PTEID_OcspResponse | ( | String | uri,
|  | PTEID_HashAlgo | hashAlgorithm,
|  | PTEID_ByteArray | issuerNameHash,
|  | PTEID_ByteArray | issuerKeyHash,
|  | PTEID_ByteArray | serialNumber |
| ) |  |  |

Create an OcspResponse object from the URI only and CertID This OCSP Response is not link to any certificate so some methods could not be used.

These methods throw a PTEID_ExBadUsage() exception

References be.portugal.eid.PTEID_ByteArray.getCPtr(), and be.portugal.eid.PTEID_HashAlgo.swigValue.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_OcspResponse.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Object.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_OcspResponse.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Object.

static long be.portugal.eid.PTEID_OcspResponse.getCPtr | ( | PTEID_OcspResponse | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_OcspResponse.swigCPtr.

PTEID_CertifStatus be.portugal.eid.PTEID_OcspResponse.getResponse | ( | PTEID_ByteArray | response | ) | throws java.lang.Exception

Get the response.

References be.portugal.eid.PTEID_CertifStatus.swigToEnum().

String be.portugal.eid.PTEID_OcspResponse.getUri | ( |  | ) | throws java.lang.Exception

Get the uri of the responder.